ChainedEncoders (Grails 3.2.8)
Date: 2017-03-23

Package: org.grails.encoder

## [Java] Class ChainedEncoders

- org.grails.encoder.ChainedEncoders

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.util.List<Encoder>` | `appendEncoder(java.util.List<Encoder> encoders, Encoder encodeToEncoder)`
    `` | `static EncodedAppender` | `chainAllButLastEncoders(EncodedAppender appender, java.util.List<StreamingEncoder> encoders)`
    `` | `static EncodedAppender` | `chainAllEncoders(EncodedAppender appender, java.util.List<StreamingEncoder> encoders)`
    `` | `static void` | `chainEncode(StreamEncodeable streamEncodeable, EncodedAppender appender, java.util.List<Encoder> encoders)`
    `` | `static void` | `chainStreamingEncode(StreamEncodeable streamEncodeable, EncodedAppender appender, java.util.List<StreamingEncoder> encoders)`
    `` | `static boolean` | `shouldApplyEncoder(StreamingEncoder encoder)` checks that the encoder isn't a NoneEncoder instance
    `` | `static java.util.List<StreamingEncoder>` | `toStreamingEncoders(java.util.List<Encoder> encoders)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static java.util.List<Encoder> appendEncoder(java.util.List<Encoder> encoders, Encoder encodeToEncoder)

    - #### public static EncodedAppender chainAllButLastEncoders(EncodedAppender appender, java.util.List<StreamingEncoder> encoders)

    - #### public static EncodedAppender chainAllEncoders(EncodedAppender appender, java.util.List<StreamingEncoder> encoders)

    - #### public static void chainEncode(StreamEncodeable streamEncodeable, EncodedAppender appender, java.util.List<Encoder> encoders)

    - #### public static void chainStreamingEncode(StreamEncodeable streamEncodeable, EncodedAppender appender, java.util.List<StreamingEncoder> encoders)

    - #### public static boolean shouldApplyEncoder(StreamingEncoder encoder)

      checks that the encoder isn't a NoneEncoder instance

      Parameters:
        encoder
      Returns:

    - #### public static java.util.List<StreamingEncoder> toStreamingEncoders(java.util.List<Encoder> encoders)